--FF for glitch filtering
--Miguel A. Aguirre Echanove. University of Sevilla (SPAIN)
--Dpt. of Ingenieria Electronica. aguirre@gte.esi.us.es
--

library IEEE;
use IEEE.std_logic_1164.all;

entity FFcleaner is
    port (
        D: in STD_LOGIC;
        CLK: in STD_LOGIC;
        RST: in STD_LOGIC;
        Q: out STD_LOGIC
    );
end FFcleaner;

architecture FFcleaner_arch of FFcleaner is
begin
process(CLK,RST,D)
begin
	if(RST='1') then
		Q<='0';
	elsif(CLK'event) and (CLK='1') then
		Q<=D;
	end if;
end process;
end FFcleaner_arch;
