--Read Nibbles Mux
--Miguel A. Aguirre Echanove. University of Sevilla (SPAIN)
--Dpt. of Ingenieria Electronica. aguirre@gte.esi.us.es
--
library IEEE;
use IEEE.std_logic_1164.all;

entity Muxsal is
    port (
        I0: in STD_LOGIC;
        I1: in STD_LOGIC;
        I2: in STD_LOGIC;
        I3: in STD_LOGIC;
        I4: in STD_LOGIC;
        I5: in STD_LOGIC;
        I6: in STD_LOGIC;
        I7: in STD_LOGIC;
        Nibble: in STD_LOGIC;
        datard: out STD_LOGIC_VECTOR (4 downto 0)
    );
end Muxsal;

architecture Muxsal_arch of Muxsal is
begin
process(I0,I1,I2,I3,I4,I5,I6,I7,Nibble)
begin
	if(Nibble='0') then
	    datard(0)<=I0;
	    datard(1)<=I1;
	    datard(2)<=I2;
	    datard(3)<=I3;
	else
	    datard(0)<=I4;
	    datard(1)<=I5;
	    datard(2)<=I6;
	    datard(3)<=I7;
	end if;
	datard(4)<=Nibble;
end process;	    
end Muxsal_arch;
